\name{NSW}
\alias{NSW}
\docType{data}
\title{National Supported Work (NSW) Demonstration data}
\description{
National Supported Work (NSW) Demonstration data, of a job training
program implemented during the Seventies in the United States and analyzed by
Lalonde. This data set also contains data from the CPS (Current Population 
Survey) and PSID (Panel Study of Income Dynamics) datasets.}
\usage{data(NSW)}
\format{
  A data frame with 19204 observations on the following 13 variables.
  \describe{
    \item{\code{treated}}{treated variable indicator}
    \item{\code{age}}{age}
    \item{\code{education}}{years of education}
    \item{\code{black}}{race indicator variable}
    \item{\code{married}}{marital status indicator variable}
    \item{\code{nodegree}}{indicator variable of not possessing a degree}
    \item{\code{dw}}{indicator of Dehejia-Wahba selected units}
    \item{\code{re74}}{real earnings in 1974}
    \item{\code{re75}}{real earnings in 1975}
    \item{\code{re78}}{real earnings in 1978 (post treatment outcome)}
    \item{\code{hispanic}}{ethnic indicator variable}
    \item{\code{st}}{indicator variable of Smith-Todd selected units}
    \item{\code{sample}}{number of reference sample: 1 = Lalonde, 2 = CPS and 
	3 = PSID}
  }
}
\details{
Lalonde dataset has 722 experimental treated and control units. CPS has 15992
non experimental control units and PSID has 2490 non experimental control
individuals.
}
\source{see references}
\references{
Lalonde, R. (1986) Evaluating the Econometric Evaluations 
of Training Programs, \emph{American Economic Review}, 76, 604-620.
}
\keyword{datasets}
